package mellaris

import (
	"git.difuse.io/Difuse/Mellaris/analyzer"
	"git.difuse.io/Difuse/Mellaris/analyzer/tcp"
	"git.difuse.io/Difuse/Mellaris/analyzer/udp"
	"git.difuse.io/Difuse/Mellaris/modifier"
	modUDP "git.difuse.io/Difuse/Mellaris/modifier/udp"
)

// DefaultAnalyzers returns the built-in analyzer set.
func DefaultAnalyzers() []analyzer.Analyzer {
	return []analyzer.Analyzer{
		&tcp.FETAnalyzer{},
		&tcp.HTTPAnalyzer{},
		&tcp.SocksAnalyzer{},
		&tcp.SSHAnalyzer{},
		&tcp.TLSAnalyzer{},
		&tcp.TrojanAnalyzer{},
		&udp.DNSAnalyzer{},
		&udp.OpenVPNAnalyzer{},
		&udp.QUICAnalyzer{},
		&udp.WireGuardAnalyzer{},
	}
}

// DefaultModifiers returns the built-in modifier set.
func DefaultModifiers() []modifier.Modifier {
	return []modifier.Modifier{
		&modUDP.DNSModifier{},
	}
}
